Subject: Re: [DMM] Additional questions/comments on draft-ietf-dmm-srv6-mobile-uplane-13

From: "Pablo Camarillo (pcamaril)" <[email-masked]>
Date: Wed, 28 Jul 2021 13:55:51 +0000

Resending as there was a typo.

Inline with PC2.

Thanks.

From: Sridhar Bhaskaran <[email-masked]>
Sent: miércoles, 28 de julio de 2021 15:34
To: Pablo Camarillo (pcamaril) <[email-masked]>
Cc: David Allan I <[email-masked]>; [email-masked]
Subject: [SUSPECTED SPAM] Re: [DMM] Additional questions/comments on draft-ietf-dmm-srv6-mobile-uplane-13

Hi Pablo / Dave all,

See my additional comment inline marked [SB]

Regards
Sridhar

On Wed, Jul 28, 2021 at 12:06 AM Pablo Camarillo (pcamaril) <pcamaril=[email-masked]<mailto:[email-masked]>> wrote:
Hi Dave,

Many thanks for your comments. Inline with PC.

Cheers,
Pablo.

-----Original Message-----
From: dmm <[email-masked]<mailto:[email-masked]>> On Behalf Of David Allan I
Sent: viernes, 23 de julio de 2021 19:51
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [DMM] Additional questions/comments on draft-ietf-dmm-srv6-mobile-uplane-13

Hi:

Looking over this draft it strikes me that IF you are discussing a GTP replacement, there are a few unaddressed gaps...or at least I see no mention of them.

-  adding X2 to the list of interfaces to be supported
[PC] Do you think there is any new mechanism to be added to the currently defined ones?
[SB] If we are including X2 then F1U also needs to be considered. Both X2 and F1U also have GTPU flow control mechanism defined in TS 38.425. I am not sure if a corresponding feedback mechanism exists in SRv6 for flow control.
[PC2] The user plane message encoding, or Flow control, is out of the scope of this draft; but covered in draft-murakami-dmm-user-plane-message-encoding.
Speaking as a co-author of draft-murakami: up to now we did not consider F1U, but if the working group believes there is value, then we could add it. Thanks.

-  support for end-marker for handoff stream synchronization (probably could fit the unused bit in Args.Mob.Session but frankly I have not studied this in detail)
[PC] User Plane Message encoding is out of the scope of this draft. However, draft-murakami-dmm-user-plane-message-encoding-03 proposes a mechanism to encode the Echo Request, Echo Reply, Error Indication, and End Marker.

-  support for QMP (quality measurement protocol), which I believe needs to also extend across the radio interface so is not simply local to the GTP domain and can be "stunt doubled"
[PC] Excellent point. Seems we missed this one in draft-murakami! We can add in there the QoS Monitoring Packet indicator, as well as the encoding for the timestamps and average DL/UL delays.

-  support for paging policy presence/indication
[PC] Same as previous. Many thanks.

[PC], By the way, I've posted an updated revision as the reference to draft-murakami was missing.

If this has come up elsewhere, let me know

Cheers
Dave

_______________________________________________
dmm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dmm

_______________________________________________
dmm mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/dmm

--
 o__
 _>  /__
(_) \(_)... Burn fat not fuel - Bike along to a healthier life and cleaner
world! :)

Sridhar Bhaskaran